summaryrefslogtreecommitdiffstats
path: root/remote-notify-client.sh
diff options
context:
space:
mode:
Diffstat (limited to 'remote-notify-client.sh')
-rwxr-xr-xremote-notify-client.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/remote-notify-client.sh b/remote-notify-client.sh
new file mode 100755
index 0000000..a95c9e7
--- /dev/null
+++ b/remote-notify-client.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+[[ -z $DISPLAY ]] && exit 1;
+
+exec 0<&-
+
+sup ssh mistral 'socat unix-connect:notify.sock stdout' |
+ while read heading message; do
+ if [[ -n $heading ]]; then
+ notify-send -t 5000 -- "${heading}" "${message}";
+ fi
+ done